Skip to content
CatalogProducts

Update prices in bulk

Updates at most 100 selected price rows immediately. A filter selection creates an operation to track.

Header Parameters

x-Store-Id?string

Store the request acts on. Not needed when the token is bound to a store.

Authorization*string

OAuth 2.0 bearer token.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://api.ecomiq.pe/api/v1/catalog/products/batch/prices" \  -H "x-Store-Id: <store-id>" \  -H "Authorization: Bearer <token>" \  -H "Content-Type: application/json" \  -d '{    "reason": "promotionStart",    "items": [      {        "targetKind": "sku",        "target": "POL-001-AZ-M",        "price": 79,        "compareAtPrice": 99      },      {        "targetKind": "sku",        "target": "POL-001-NE-M",        "price": 79,        "compareAtPrice": 99      }    ]  }'
{  "results": [    {      "index": 0,      "id": "7204558912004325377",      "status": "updated",      "errors": []    },    {      "index": 1,      "id": "7204558912004325382",      "status": "updated",      "errors": []    }  ]}